<VirtualHost _default_:80>
        ServerAdmin bodik@civ.zcu.cz
        ServerName bj2ee.europen.cz

        DocumentRoot /var/www
        LogLevel warn
        ErrorLog /var/log/apache2/bj2ee-error.log
        CustomLog /var/log/apache2/bj2ee-access.log combined
        ServerSignature Off
        
	ProxyPass / balancer://mycluster/ stickysession=JSESSIONID|jsessionid nofailover=Off
	<Proxy balancer://mycluster>
		BalancerMember ajp://127.0.0.2:8009 route=tomcat2
		BalancerMember ajp://127.0.0.3:8009 route=tomcat3
	</Proxy> 

</VirtualHost>

<VirtualHost _default_:443>
        ServerAdmin bodik@civ.zcu.cz
        ServerName bj2ee.europen.cz

        DocumentRoot /var/www
        LogLevel warn
        ErrorLog /var/log/apache2/ssl-b2jee-error.log
        CustomLog /var/log/apache2/ssl-b2jee-access.log combined
        ServerSignature Off

        SSLEngine on
        SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
        SSLCertificateFile /home/tomcat1/server.crt
        SSLCertificateKeyFile /home/tomcat1/server.key

	ProxyPass / balancer://mycluster/ stickysession=JSESSIONID|jsessionid nofailover=Off
	<Proxy balancer://mycluster>
		BalancerMember ajp://127.0.0.2:8009 route=tomcat2
		BalancerMember ajp://127.0.0.3:8009 route=tomcat3
	</Proxy> 

</VirtualHost>

